{"id":32090,"date":"2022-01-25T14:14:41","date_gmt":"2022-01-25T14:14:41","guid":{"rendered":"https:\/\/developer.kore.ai\/v9-1\/?p=32090"},"modified":"2022-03-01T14:16:43","modified_gmt":"2022-03-01T14:16:43","slug":"proactive-notification-status-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v9-1\/docs\/bots\/api-guide\/proactive-notification-status-api\/","title":{"rendered":"Proactive Notification Status API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To fetch the status of Proactive Notifications API.<\/p>\n<p class=\"note\">To use this API, the app needs the Bot Builder API scope of Proactive Messages OR the Admin API Scope of Proactive Messages.<\/p>\n<p><b>POST<\/b> <code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/notify\/status\/{{requestId}}<\/code>.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Required<\/td>\n<td>\n<p>Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/p>\n<p><b>Note<\/b>: This is required only for Bot Builder API scope of Proactive Messages.<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">requestId<\/span><\/td>\n<td>Required<\/td>\n<td>The unique \u2018Request ID\u2019 returned by the Proactive Notifications API to track the progress.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl --\r\nGET \\ 'https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/notify\/status\/{{requestId}}' \\\r\n--header 'auth: {{JWT}}' \\\r\n--header 'Content-Type: application\/json'\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"_id\": \"ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n    \"status\": \"PARTIAL_SUCCESS\", \/\/ <\/strong>can be \u201cSUCCESS\u201d \/ \u201cFAILURE\u201d \/ \u201cPARTIAL_SUCCESS<\/strong>\u201d\r\n    \"percentageComplete\": 100,\r\n    \"streamId\": \"st-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n    \"createdBy\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n    \"jobType\": \"PROACTIVE_NOTIFICATIONS_API\",\r\n    \"action\": \"PROACTIVE_NOTIFICATIONS\",\r\n    \"statusLogs\": [\r\n        {\r\n            \"_id\": \"nl-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"requestId\": \"ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"originalId\": \"john@abc.com\",\r\n            \"status\": \"FAILURE\",\r\n            \"createdBy\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"comments\": \"'Identity is not associated with the channel'\",\r\n            \"streamId\": \"st-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n            \"channel\": \"msteams\",\r\n            \"createdOn\": \"2022-01-24T20:55:21.918Z\",\r\n            \"__v\": 0\r\n        },\r\n        {\r\n            \"_id\": \"nl-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"requestId\": \"ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\u201d,\r\n            \"createdBy\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"channel\": \"msteams\",\r\n            \"comments\": \"Notification has been sent successfully\",\r\n            \"streamId\": \"st-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n            \"koreId\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"channelId\": \"29:1964-sxxxxxxxxxxxx-1MxxxxxxxxxxxxxxLqSODuQ\",\r\n            \"messagestoreId\": \"ms-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx\",\r\n            \"originalId\": \"john@abc.com\",\r\n            \"status\": \"SUCCESS\",\r\n            \"createdOn\": \"2022-01-24T20:55:23.029Z\",\r\n            \"__v\": 0\r\n        }\r\n    ],\r\n    \"lMod\": \"2022-01-24T20:55:23.000Z\",\r\n    \"createdOn\": \"2022-01-24T20:55:21.254Z\",\r\n    \"requestedTime\": \"2022-01-24T20:55:21.254Z\",\r\n    \"__v\": 0,\r\n    \"count\": 2\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section><section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t\r\n\t\t<\/div>\r\n\t<\/div>\r\n<\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To fetch the status of Proactive Notifications API. To use this API, the app needs the Bot Builder API scope of Proactive Messages OR the Admin API Scope of Proactive Messages. POST https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/notify\/status\/{{requestId}}. Path Parameters Parameter Required\/Optional Description host Required Environment URL, for example, https:\/\/bots.kore.ai BotID Required Bot ID or Stream ID. You can access...","protected":false},"author":17,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-32090","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/posts\/32090","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/users\/17"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/comments?post=32090"}],"version-history":[{"count":3,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/posts\/32090\/revisions"}],"predecessor-version":[{"id":34306,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/posts\/32090\/revisions\/34306"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/media?parent=32090"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/categories?post=32090"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/tags?post=32090"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}